# $Id: smeserver-arpwatch.spec,v 1.12 2022/12/22 07:54:20 terryfage Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Arpwatch is a tool that monitors ethernet activity
%define name smeserver-arpwatch
Name: %{name}
%define version 0.3
%define release 11
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Monitoring
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: smeserver-devtools

Requires: smeserver-base
Requires: arpwatch

%description
Arpwatch is a tool that monitors ethernet activity and keeps
a database of ethernet/ip address pairings.
It also reports certain changes via email.
Arpwatch uses libpcap, a system-independent interface for 
user-level packet capture.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.3-11.sme
- Fix e-smith references in smeserver-arpwatch [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.3-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Dec 22 2022 zsolt vasarhelyi <vasarhelyizsolt@hotmail.com> 0.3-9.sme
- Arpwatch fails on network restart patch [SME: 12261]

* Tue Jul 26 2022 zsolt vasarhelyi <vasarhelyizsolt@hotmail.com> 0.3-8.sme
- 2nd typo fix added, part of previous patch [SME: 11949]

* Tue Jul 19 2022 zsolt vasarhelyi <vasarhelyizsolt@hotmail.com> 0.3-7.sme
- typo fix added, part of previous patch [SME: 11949]

* Mon Jul 18 2022 zsolt vasarhelyi <vasarhelyizsolt@hotmail.com> 0.3-6.sme
- arpwatch logs to messages, typo fix added [SME: 11949]

* Sat Feb 27 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-5.sme
- Fix service dropin file with proper extension [SME: 11026]

* Fri Feb 26 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-4.sme
- Add-After-in-service-file-to-delay-startup [SME: 11026]

* Tue Feb 02 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-3.sme
- Add in Createlink stuff for systemd [SME: 11026]

* Wed Nov 04 2020 Brian Read <brianr@bjsystems.co.uk> 0.3-2.sme
- Add in systemd startup for arpwatch to spec file [SME: 11026]

* Mon Oct 12 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-1.sme
- based on work by Brian Read [SME: 11026]
- Build for Koozali SME v10
- remove createlinks safetouch to fix conflict
- remove /var/lib/arpwatch lines in genfilelist

* Mon Sep 07 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.2-3.sme
- changed the user pcap to arpwatch [SME: 8429]

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 0.2-1.sme
- initial import to SME9 contribs

* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- Add e-smith-devtools as a build dependency

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Service not supervised (as the only option to disable forking is -d
  which also disable email alerts)

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-0]
- Initial release

%prep

%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT
%pre

%post
#systemctl enable arpwatch
#systemctl start arpwatch

%preun
if [ $1 -eq 0 ] ; then
        /sbin/e-smith/db configuration setprop arpwatch status disabled
        #/etc/init.d/arpwatch stop
fi

true
